Gentoo Archives: gentoo-announce

From: Aaron Bauman <bman@g.o>
To: gentoo-announce@l.g.o
Subject: [gentoo-announce] [ GLSA 201904-22 ] OpenDKIM: Root privilege escalation
Date: Mon, 22 Apr 2019 23:45:01
Message-Id: 20190422233505.GE32445@monkey
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 201904-22
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                           https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

 Severity: Normal
    Title: OpenDKIM: Root privilege escalation
     Date: April 22, 2019
     Bugs: #629914
       ID: 201904-22

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability was discovered in Gentoo's ebuild for OpenDKIM which
could lead to root privilege escalation.

Background
==========

A community effort to develop and maintain a C library for producing
DKIM-aware applications and an open source milter for providing DKIM
service.

Affected packages
=================

    -------------------------------------------------------------------
     Package              /     Vulnerable     /            Unaffected
    -------------------------------------------------------------------
  1  mail-filter/opendkim       < 2.10.3-r8              >= 2.10.3-r8 

Description
===========

It was discovered that Gentoo’s OpenDKIM ebuild does not properly set
permissions or place the pid file in a safe directory.

Impact
======

A local attacker could escalate privileges.

Workaround
==========

Users should ensure the proper permissions are set as discussed in the
referenced bugs.

Resolution
==========

All OpenDKIM users should upgrade to the latest version:

  # emerge --sync
  # emerge --ask --oneshot --verbose ">=mail-filter/opendkim-2.10.3-r8"

References
==========


Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

 https://security.gentoo.org/glsa/201904-22

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@g.o or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2019 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

https://creativecommons.org/licenses/by-sa/2.5

Attachments

File name MIME type
signature.asc application/pgp-signature